<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE web-app
    PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
    "http://java.sun.com/dtd/web-app_2_3.dtd">

<web-app>

    <display-name>Taneli servletid</display-name>
    <description>
      Taneli servletid
    </description>
	
    <!-- Define servlets that are included in the example application -->
    <servlet>
        <servlet-name>HelloWorld</servlet-name>
        <servlet-class>HelloWorld</servlet-class>
    </servlet>
        <servlet>
        <servlet-name>looLisaja</servlet-name>
        <servlet-class>looLisaja</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>stiiliLisaja</servlet-name>
        <servlet-class>stiiliLisaja</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>esitLisaja</servlet-name>
        <servlet-class>esitLisaja</servlet-class>
    </servlet>    
    <servlet>
        <servlet-name>plaadiLisaja</servlet-name>
        <servlet-class>plaadiLisaja</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>login</servlet-name>
        <servlet-class>login</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>kuvaja</servlet-name>
        <servlet-class>kuvaja</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>xml</servlet-name>
        <servlet-class>xml</servlet-class>
    </servlet>
     

    <servlet-mapping>
        <servlet-name>HelloWorld</servlet-name>
        <url-pattern>/servlet/HelloWorld</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>looLisaja</servlet-name>
        <url-pattern>/servlet/looLisaja</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>stiiliLisaja</servlet-name>
        <url-pattern>/servlet/stiiliLisaja</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>esitLisaja</servlet-name>
        <url-pattern>/servlet/esitLisaja</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>plaadiLisaja</servlet-name>
        <url-pattern>/servlet/plaadiLisaja</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>login</servlet-name>
        <url-pattern>/servlet/login</url-pattern>
    </servlet-mapping>
   <servlet-mapping>
        <servlet-name>kuvaja</servlet-name>
        <url-pattern>/servlet/kuvaja</url-pattern>
    </servlet-mapping>
   <servlet-mapping>
        <servlet-name>xml</servlet-name>
        <url-pattern>/servlet/xml</url-pattern>
   </servlet-mapping>


    <security-constraint>
      <display-name>Example Security Constraint</display-name>
      <web-resource-collection>
         <web-resource-name>Protected Area</web-resource-name>
	 <!-- Define the context-relative URL(s) to be protected -->
         <url-pattern>/jsp/security/protected/*</url-pattern>
	 <!-- If you list http methods, only those methods are protected -->
	 <http-method>DELETE</http-method>
         <http-method>GET</http-method>
         <http-method>POST</http-method>
	 <http-method>PUT</http-method>
      </web-resource-collection>
      <auth-constraint>
         <!-- Anyone with one of the listed roles may access this area -->
         <role-name>tomcat</role-name>
	 <role-name>role1</role-name>
      </auth-constraint>
    </security-constraint>

    <!-- Default login configuration uses form-based authentication -->
    <login-config>
      <auth-method>FORM</auth-method>
      <realm-name>Example Form-Based Authentication Area</realm-name>
      <form-login-config>
        <form-login-page>/jsp/security/protected/login.jsp</form-login-page>
        <form-error-page>/jsp/security/protected/error.jsp</form-error-page>
      </form-login-config>
    </login-config>

    <!-- Security roles referenced by this web application -->
    <security-role>
      <role-name>role1</role-name>
    </security-role>
    <security-role>
      <role-name>tomcat</role-name>
    </security-role>

    <!-- Environment entry examples -->
    <!--env-entry>
      <env-entry-description>
         The maximum number of tax exemptions allowed to be set.
      </env-entry-description>
      <env-entry-name>maxExemptions</env-entry-name>
      <env-entry-value>15</env-entry-value>
      <env-entry-type>java.lang.Integer</env-entry-type>
    </env-entry-->
    <env-entry>
      <env-entry-name>minExemptions</env-entry-name>
      <env-entry-value>1</env-entry-value>
      <env-entry-type>java.lang.Integer</env-entry-type>
    </env-entry>
    <env-entry>
      <env-entry-name>foo/name1</env-entry-name>
      <env-entry-value>value1</env-entry-value>
      <env-entry-type>java.lang.String</env-entry-type>
    </env-entry>
    <env-entry>
      <env-entry-name>foo/bar/name2</env-entry-name>
      <env-entry-value>true</env-entry-value>
      <env-entry-type>java.lang.Boolean</env-entry-type>
    </env-entry>
    <env-entry>
      <env-entry-name>name3</env-entry-name>
      <env-entry-value>1</env-entry-value>
      <env-entry-type>java.lang.Integer</env-entry-type>
    </env-entry>
    <env-entry>
      <env-entry-name>foo/name4</env-entry-name>
      <env-entry-value>10</env-entry-value>
      <env-entry-type>java.lang.Integer</env-entry-type>
    </env-entry>

</web-app>
